General

Profile

Chauk-Mean (Chauk-Mean Proum)

  • Registered on: 12/15/2008
  • Last connection: 11/27/2010

Issues

Activity

11/27/2010

11:46 PM Ruby trunk Feature #4085: Refinements and nested methods
=begin
Hi Matz,

>For specifying namespace, "using" is used in many languages, C++, C#
>etc. On the other han...
10:32 PM Ruby trunk Feature #4085: Refinements and nested methods
=begin
11/27/2010 09:46 AM - Loren Segal wrote :
>> I also prefer use instead of using.
>> May be the core team ...
05:35 PM Ruby trunk Feature #4085: Refinements and nested methods
=begin
>> Regarding naming: how about using the name `use' instead of `using'? This
>> would be in line with other...
05:14 PM Ruby trunk Feature #4065: Rename or alias module#append_features to module#include_module
=begin

Given the discussion from http://www.ruby-forum.com/topic/469691#new ,

I revised my proposal as follo...

11/17/2010

10:05 PM Ruby trunk Feature #4065 (Rejected): Rename or alias module#append_features to module#include_module
=begin
Hi,

For Object#extend, the hook/callbacks methods are extend_object and extended.
For Module#include,...

07/06/2009

09:04 PM Ruby trunk Bug #1733: require does not look at current directory anymore ?
=begin
Matz, thanks for the explanation/clarification.

Nobu, the RUBYLIB environment variable is a good enough ...
01:53 AM Ruby trunk Bug #1733 (Rejected): require does not look at current directory anymore ?
=begin
In ruby-1.9 trunk, the behaviour of require has changed.
Require does not look at the current directory any...

01/29/2009

12:17 AM Ruby trunk Bug #1010: Ruby-1.9's rake sh doesn't work on Windows (but fix provided)
=begin

So rake sh command will not work with Ruby 1.9.1 on Windows ?
I really don't understand why this issue h...

01/17/2009

06:37 PM Ruby trunk Bug #1008: Missing shell version of ruby-1.9 commands (gem, rake, ...) for MinGW installation
=begin
>MSYS is a official package on top of MinGW, but not required. You can build a
>MinGW version of ruby usi...

01/16/2009

06:48 PM Ruby trunk Bug #1008: Missing shell version of ruby-1.9 commands (gem, rake, ...) for MinGW installation
=begin
> (1) As far as I understand MinGW do not have a shell (apart from cmd.exe).
> So installing shell scripts...

Also available in: Atom